Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 591336 - Implementing upgrade DN format tool
Implementing upgrade DN format tool
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Retired
Component: Database - Import/Export (Show other bugs)
1.2.6
All Linux
high Severity medium
: ---
: ---
Assigned To: Noriko Hosoi
Viktor Ashirov
:
Depends On:
Blocks: 434914 389_1.2.6
  Show dependency treegraph
 
Reported: 2010-05-11 18:35 EDT by Noriko Hosoi
Modified: 2015-12-07 11:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:44:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
git patch file (8.2) (112.16 KB, patch)
2010-05-11 19:02 EDT, Noriko Hosoi
nhosoi: review?
rmeggins: review+
Details | Diff
git patch file (9.0) (3.34 MB, patch)
2010-05-17 15:02 EDT, Noriko Hosoi
nhosoi: review?
rmeggins: review+
Details | Diff
git diff (ldbm_entryrdn.c) (2.29 KB, patch)
2010-05-17 20:06 EDT, Noriko Hosoi
nhosoi: review?
rmeggins: review+
Details | Diff
git commit message (3.04 KB, text/plain)
2010-05-18 01:51 EDT, Noriko Hosoi
no flags Details

  None (edit)
Description Noriko Hosoi 2010-05-11 18:35:59 EDT
Description of problem:
http://directory.fedoraproject.org/wiki/Upgrade_to_New_DN_Format#Migration.2FUpgrade
Comment 1 Noriko Hosoi 2010-05-11 19:02:34 EDT
Created attachment 413284 [details]
git patch file (8.2)
Comment 2 Noriko Hosoi 2010-05-12 14:17:55 EDT
Reviewed by Rich and Nathan (Thank you!!!)

Pushed to Directory_Server_8_2_Branch
Counting objects: 78, done.
Compressing objects: 100% (40/40), done.
Writing objects: 100% (41/41), 24.85 KiB, done.
Total 41 (delta 35), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   e7a81dd..142d7ad  ds82-local -> Directory_Server_8_2_Branch
Comment 3 Noriko Hosoi 2010-05-17 15:02:11 EDT
Created attachment 414639 [details]
git patch file (9.0)

Change description:
    . adding upgradednformat utility to each server instance.
    . adding 91upgradednformat.pl for in-place-upgrade.
    . implementing ldbm_back_upgradednformat sharing the import/
      reincexing codes.
    . adding a new DBVERSION ID "dn-4514" for the upgraded db.
    . fixing access logs (delete.c and modify.c)
    . fixing compiler warnings.
    . fixing memory leaks.
    . fixing a bug in syntax plugin to free strings.
    . adding templates for plugin id, version, vendor, and description,
      which are needed for the online upgrade.
    . dbversion_write takes an additional bit flags, which indicates
      which extra DBVERSION strings are written to the DBVERSION file.
      It was introduced for the upgrade tools not to intervene each
      other's tasks (e.g., dn2rdn for converting entrydn to entryrdn
      and upgradednformat for upgrading the DN format).
    
See also:
    http://directory.fedoraproject.org/wiki/Upgrade_to_New_DN_Format#Migration.2
Comment 4 Noriko Hosoi 2010-05-17 20:06:17 EDT
Created attachment 414698 [details]
git diff (ldbm_entryrdn.c)

In addition to 414639: git patch file (9.0), this patch is needed to handle entries which RDN(s) consist of multiple attribute type/value pairs separated with '+'.
Comment 5 Noriko Hosoi 2010-05-18 01:51:59 EDT
Created attachment 414738 [details]
git commit message

Reviewed by Rich (Thank you!!)

Pushed to master.

commit c12c48f47a0cdd7282950fa25e5e7548dd1c5ab0
Author: Noriko Hosoi <nhosoi@redhat.com>
Date:   Mon May 17 16:47:55 2010 -0700

    591336 - Implementing upgrade DN format tool
    
    Change description:
    . adding upgradednformat utility to each server instance.
    . adding 91upgradednformat.pl for in-place-upgrade.
    . implementing ldbm_back_upgradednformat sharing the import/
      reincexing codes.
    . adding a new DBVERSION ID "dn-4514" for the upgraded db.
    . fixing access logs (delete.c and modify.c)
    . fixing compiler warnings.
    . fixing memory leaks.
    . fixing a bug in syntax plugin to free strings.
    . adding templates for plugin id, version, vendor, and description,
      which are needed for the online upgrade.
    . dbversion_write takes an additional bit flags, which indicates
      which extra DBVERSION strings are written to the DBVERSION file.
      It was introduced for the upgrade tools not to intervene each
      other's tasks (e.g., dn2rdn for converting entrydn to entryrdn
      and upgradednformat for upgrading the DN format).
    . fixing a bug in entryrdn index code which was missing to normalize
      RDN.
    
    See also:
    https://bugzilla.redhat.com/show_bug.cgi?id=591336
    http://directory.fedoraproject.org/wiki/Upgrade_to_New_DN_Format#Migration.2FUpgrade
Comment 6 Jenny Galipeau 2010-05-27 13:57:44 EDT
closing verified - this Development task has been completed and any issues with upgrading to the new DN format will be addressed in specific bugs.

Note You need to log in before you can comment on or make changes to this bug.